stages:
    - build
    - test

variables:
    BULD_FILE_NAME: laptop.txt

build laptop:
    image: alpine
    stage: build
    script: 
        - echo "Build a laptop"
        - mkdir build
        - touch build/$BULD_FILE_NAME
        - echo "Mainboard" >> build/$BULD_FILE_NAME
        - cat build/$BULD_FILE_NAME
        - echo "Keyboard" >> build/$BULD_FILE_NAME
        - cat build/$BULD_FILE_NAME
    artifacts:
        paths:
            - build

test laptop:
    image: alpine
    stage: test
    script:
        - test -f build/$BULD_FILE_NAME
        - grep "Mainboard" build/$BULD_FILE_NAME
        - grep "Keyboard" build/$BULD_FILE_NAME